Create Connector SDK Package
Uploads a new Connector SDK package to your Fivetran account. The package must be a ZIP file containing your custom connector code. You can create the package ZIP file using the fivetran package command.
After creating a package, use the standard Create a Connection endpoint with the returned id as package_id in the config.
NOTE: Each package can only be associated with one connection at a time.
Request schema
Header parameters
HTTP: basicAuth
HTTP AuthorizationScheme: basic
Request
The ZIP file containing the Connector SDK package.
POST /v1/connector-sdk/packages HTTP/1.1 Accept: application/json Authorization: Basic <Replace with base64-encoded key> Content-Type: multipart/form-data; boundary=---011000010111000001101001 Host: api.fivetran.com Content-Length: 115 -----011000010111000001101001 Content-Disposition: form-data; name="file" {} -----011000010111000001101001--
Responses
201
Response status code
Response status text
The unique identifier for the Connector SDK package.
Deprecated. The connection identifier associated with this package. Each package can only be associated with one connection at a time. Returns null if the package is not yet associated with any connection. Use connection_ids instead.
The connection identifiers associated with this package. Empty if the package is not yet associated with any connection.
The unique identifier of the user who created the package.
The unique identifier of the user who last updated the package.
The timestamp when the package was created.
The timestamp when the package was last updated.
The SHA-256 hash of the uploaded package file. Used for integrity verification and change detection.
Indicates whether the package code can be downloaded. Defaults to true. If false, the package author has disabled code download; the package can't be downloaded from the Fivetran dashboard, and the Download Connector SDK package endpoint returns an HTTP 403 error.
{ "code": "Success", "message": "Package created successfully", "data": { "id": "package_id", "connection_id": "connection_id", "connection_ids": [ "connection_id" ], "created_by": "user_id", "last_updated_by": "user_id", "created_at": "2024-01-14T19:30:00Z", "updated_at": "2024-01-14T20:15:00Z", "file_sha256_hash": "a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2", "download_enabled": true } }